| Home | Libraries | People | FAQ | More

#### identity_view

View on a range, not modifying anything.

###### Synopsis

    template<typename Range>
    struct identity_view
    {
      // ...
    };

###### Template parameter(s)

Parameter | Description
--- | ---
typename Range | original range

###### Constructor(s)

Function | Description | Parameters
--- | --- | ---

    identity_view(Range & r)

Range &: r:

###### Member Function(s)

Function | Description | Parameters | Returns
--- | --- | --- | ---

    const_iterator begin()

    const_iterator end()

    iterator begin()

    iterator end()

###### Header

`#include <boost/geometry/views/identity_view.hpp>`